"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.whiteDarkInit = exports.whiteDark = exports.defaultSettingsWhiteDark = void 0;
var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _highlight = require("@lezer/highlight");
var _codemirrorThemes = require("@uiw/codemirror-themes");
var _darkColor = require("./dark-color");
var defaultSettingsWhiteDark = {
  background: _darkColor.config.background,
  foreground: _darkColor.config.foreground,
  caret: _darkColor.config.cursor,
  selection: _darkColor.config.selection,
  selectionMatch: _darkColor.config.selectionMatch,
  gutterBackground: _darkColor.config.background,
  gutterForeground: _darkColor.config.foreground,
  lineHighlight: _darkColor.config.activeLine
};
exports.defaultSettingsWhiteDark = defaultSettingsWhiteDark;
var whiteDarkInit = function whiteDarkInit(options) {
  var _ref = options || {},
    _ref$theme = _ref.theme,
    theme = _ref$theme === void 0 ? 'dark' : _ref$theme,
    _ref$settings = _ref.settings,
    settings = _ref$settings === void 0 ? {} : _ref$settings,
    _ref$styles = _ref.styles,
    styles = _ref$styles === void 0 ? [] : _ref$styles;
  return (0, _codemirrorThemes.createTheme)({
    theme: theme,
    settings: (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, defaultSettingsWhiteDark), settings),
    styles: [{
      tag: _highlight.tags.keyword,
      color: _darkColor.config.keyword,
      fontWeight: 'bold'
    }, {
      tag: [_highlight.tags.name, _highlight.tags.deleted, _highlight.tags.character, _highlight.tags.macroName],
      color: _darkColor.config.variable
    }, {
      tag: [_highlight.tags.propertyName],
      color: _darkColor.config["function"]
    }, {
      tag: [_highlight.tags.processingInstruction, _highlight.tags.string, _highlight.tags.inserted, _highlight.tags.special(_highlight.tags.string)],
      color: _darkColor.config.string
    }, {
      tag: [_highlight.tags["function"](_highlight.tags.variableName), _highlight.tags.labelName],
      color: _darkColor.config["function"]
    }, {
      tag: [_highlight.tags.color, _highlight.tags.constant(_highlight.tags.name), _highlight.tags.standard(_highlight.tags.name)],
      color: _darkColor.config.constant
    }, {
      tag: [_highlight.tags.definition(_highlight.tags.name), _highlight.tags.separator],
      color: _darkColor.config.variable
    }, {
      tag: [_highlight.tags.className],
      color: _darkColor.config["class"]
    }, {
      tag: [_highlight.tags.typeName],
      color: _darkColor.config.type,
      fontStyle: _darkColor.config.type
    }, {
      tag: [_highlight.tags.url, _highlight.tags.escape, _highlight.tags.regexp, _highlight.tags.link],
      color: _darkColor.config.regexp
    }, {
      tag: [_highlight.tags.meta, _highlight.tags.comment],
      color: _darkColor.config.comment
    }, {
      tag: _highlight.tags.tagName,
      color: _darkColor.config.tag
    }, {
      tag: _highlight.tags.strong,
      fontWeight: 'bold'
    }, {
      tag: _highlight.tags.emphasis,
      fontStyle: 'italic'
    }, {
      tag: _highlight.tags.link,
      textDecoration: 'underline'
    }, {
      tag: _highlight.tags.heading,
      fontWeight: 'bold',
      color: _darkColor.config.heading
    }, {
      tag: [_highlight.tags.atom, _highlight.tags.special(_highlight.tags.variableName)],
      color: _darkColor.config.variable
    }, {
      tag: _highlight.tags.invalid,
      color: _darkColor.config.invalid
    }, {
      tag: _highlight.tags.strikethrough,
      textDecoration: 'line-through'
    }, {
      tag: [_highlight.tags.operatorKeyword, _highlight.tags.bool, _highlight.tags["null"], _highlight.tags.variableName],
      color: _darkColor.config.constant
    }, {
      tag: [_highlight.tags.operator],
      color: '#bb9af7'
    }, {
      tag: [_highlight.tags.number],
      color: '#a8a8b1'
    }, {
      tag: [_highlight.tags.bracket],
      color: '#bb9af7'
    }].concat((0, _toConsumableArray2["default"])(styles))
  });
};
exports.whiteDarkInit = whiteDarkInit;
var whiteDark = whiteDarkInit();
exports.whiteDark = whiteDark;